TranslatingCoefTermConsumer Class Reference

`#include <TranslatingCoefTermConsumer.h>`

Inheritance diagram for TranslatingCoefTermConsumer:

## Public Member Functions

| TranslatingCoefTermConsumer (CoefBigTermConsumer &consumer, const TermTranslator &translator)
| TranslatingCoefTermConsumer (unique_ptr< CoefBigTermConsumer > consumer, const TermTranslator &translator)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)
virtual void | doneConsuming ()
virtual void | consume (const BigPolynomial &poly)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

const TermTranslator & | _translator
CoefBigTermConsumer & | _consumer
unique_ptr< CoefBigTermConsumer > | _consumerOwner

## Detailed Description

Definition at line 26 of file TranslatingCoefTermConsumer.h.

## Constructor & Destructor Documentation

## TranslatingCoefTermConsumer() [1/2]

TranslatingCoefTermConsumer::TranslatingCoefTermConsumer | ( | CoefBigTermConsumer & | consumer,
|  | const TermTranslator & | translator )

Definition at line 24 of file TranslatingCoefTermConsumer.cpp.

## TranslatingCoefTermConsumer() [2/2]

TranslatingCoefTermConsumer::TranslatingCoefTermConsumer | ( | unique_ptr< CoefBigTermConsumer > | consumer,
|  | const TermTranslator & | translator )

Definition at line 30 of file TranslatingCoefTermConsumer.cpp.

## Member Function Documentation

## beginConsuming()

void TranslatingCoefTermConsumer::beginConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 38 of file TranslatingCoefTermConsumer.cpp.

## consume() [1/4]

void TranslatingCoefTermConsumer::consume | ( | const BigPolynomial & | poly | ) |

virtual

Reimplemented from CoefBigTermConsumer.

Definition at line 66 of file TranslatingCoefTermConsumer.cpp.

## consume() [2/4]

void TranslatingCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

virtual

Reimplemented from CoefBigTermConsumer.

Definition at line 56 of file TranslatingCoefTermConsumer.cpp.

## consume() [3/4]

void TranslatingCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

virtual

Implements CoefBigTermConsumer.

Definition at line 46 of file TranslatingCoefTermConsumer.cpp.

## consume() [4/4]

void TranslatingCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term )

virtual

Implements CoefBigTermConsumer.

Definition at line 51 of file TranslatingCoefTermConsumer.cpp.

## consumeRing()

void TranslatingCoefTermConsumer::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 42 of file TranslatingCoefTermConsumer.cpp.

## doneConsuming()

void TranslatingCoefTermConsumer::doneConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 62 of file TranslatingCoefTermConsumer.cpp.

## Member Data Documentation

## _consumer

CoefBigTermConsumer& TranslatingCoefTermConsumer::_consumer

private

Definition at line 48 of file TranslatingCoefTermConsumer.h.

## _consumerOwner

unique_ptr<CoefBigTermConsumer> TranslatingCoefTermConsumer::_consumerOwner

private

Definition at line 49 of file TranslatingCoefTermConsumer.h.

## _translator

const TermTranslator& TranslatingCoefTermConsumer::_translator

private

Definition at line 47 of file TranslatingCoefTermConsumer.h.

The documentation for this class was generated from the following files:

- src/TranslatingCoefTermConsumer.h
- src/TranslatingCoefTermConsumer.cpp